package com.ozs.common.enums;

/**
 * 项目管理的项目状态
 *
 * @author buzhanyi
 */
public enum PmProjectStatus {
    DEMAND_WAIT_FILL("4", "需求待填制"),
    DEMAND_WAIT_COMMIT("5", "需求待提交"),
    DEMAND_WAIT_AUDIT("6", "需求待审核"),
    DEMAND_AUDIT_RETURN("7", "需求已退回"),
    TASK_WAIT_RELEASE("8", "任务待下达"),
    WAIT_SELECT_AGENT("9", "待选取代理"),
    WAIT_UPLOAD_BID_FILE("10", "待上传招标文件"),
    WAIT_ANNOUNCEMENT("11", "待发布公告"),
    WAIT_OPEN_BID("12", "待开标"),
    WAIT_BID_ANNOUNCEMENT("13", "待发布中标公告"),
    BIDDING_PUBLICITY("14", "中标公示中"),
    CONTRACT_WAIT_FILL("15", "合同待填制"),
    UNDER_CONSTRUCTION("16", "项目建设中"),
    COMPLETION_CONSTRUCTION("17", "项目已完成");

    private final String code;
    private final String info;

    PmProjectStatus(String code, String info) {
        this.code = code;
        this.info = info;
    }

    public String getCode() {
        return code;
    }

    public String getInfo() {
        return info;
    }
}
